# 32/64bit spec-file
#
#define _requires_exceptions libgcc_s.so.1\\|libstdc++.so.6
#define _disable_ld_no_undefined 1

%define name    kompozer
%define version 0.8
%define release %mkrel 0.b3.2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Web Authoring System
Group:          Development/Other
License:        GPLv2+ or LGPLv2+ or MPL
URL:            http://www.kompozer.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}b3-src.tar.bz2
Source1:        kompozer-debian-manpage.bz2
Patch0:		kompozer-0.8b1-CVE-2009-3560.diff
Patch1:		kompozer-libpng15.patch
Patch3:		kompozer-0.8b3-NS_DEFCALL.patch
BuildRequires:  nspr-devel >= 4.7.2
BuildRequires:  nss-devel >= 3.12
BuildRequires:  nss-static-devel >= 3.12
BuildRequires:  cairo-devel >= 0.5
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:	zip
BuildRequires:	libxt-devel
BuildRequires:	libIDL-devel

%description
Kompozer is a complete Web authoring system for Linux Desktop users,
similar to Microsoft Windows programs like FrontPage and Dreamweaver.
It combines web file management and easy-to-use WYSIWYG web page 
editing. Kompozer is designed to be extremely easy to use, making it 
ideal for non-technical computer users who want to create an attractive, 
professional-looking web site without needing to know HTML or web 
coding. 
Kompozer is an unofficial continuation of nvu, which was apparently
abandoned in 2005.

Features

* WYSIWYG editing of pages, making Web creation as easy as typing a
   letter with your word processor.

* Integrated file management via FTP.  Simply log in to your Web
   site and navigate through your files, editing Web pages on the
   fly, directly from your site.

* Reliable HTML code creation that works with today's most popular
   browsers.

* Jump between WYSIWYG editing mode and HTML using tabs.

* Tabbed editing to make working on multiple pages a snap.

* Powerful support for frames, forms, tables, and templates.


%prep
%setup -q -c %{name}-%{version}
%patch0 -p0 -b .CVE-2009-3560
%patch1 -p0 -b .libpng15
%patch3 -p0 -b .ns_defcall

%build
cd mozilla/
cp composer/config/mozconfig.fedora .mozconfig
#echo "mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-kompozer" >> .mozconfig
# this is for x64 and x32 compatibility when installing: 
# echo "mk_add_options \"CONFIGURE_ARGS= --libdir %{_libdir}\"" >> .mozconfig
echo "ac_add_options --libdir %{_libdir}" >> .mozconfig
echo "ac_add_options --with-default-mozilla-five-home=%{_libdir}/kompozer" >> .mozconfig

make -f client.mk build_all

%install

pushd obj-kompozer/xpfe/components && %__make ; popd
pushd obj-kompozer && %__make install DESTDIR=$RPM_BUILD_ROOT ;popd

# Remove internal myspell directory and myspell dicts.
# dh_install symlinks it to /usr/share/myspell where all myspell-* dicts place their stuff
rm -rf $RPM_BUILD_ROOT/%{_libdir}/kompozer/components/myspell
# Remove exec bit from .js files to prevent lintian warnings.
chmod -x $RPM_BUILD_ROOT/%{_libdir}/kompozer/components/*.js

rm -rf $RPM_BUILD_ROOT/usr/include/
rm -rf $RPM_BUILD_ROOT/%{_datadir}/idl/

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=KompoZer
GenericName=Web Authoring System
Comment=Create Web Pages
Comment[es]=Crea páginas web
Comment[it]=Creare pagine Web
Comment[fr]=Creation de pages Web
Exec=%{_bindir}/%{name} 
Icon=%{_libdir}/kompozer/icons/mozicon50.xpm
Terminal=false
MimeType=text/html;text/xml;text/css;text/x-javascript;text/javascript;application/x-php;text/x-php;application/xhtml+xml;
Type=Application
Categories=GTK;Network;WebDevelopment;X-MandrivaLinux-Internet-WebEditors;
EOF

## install  kompozer.desktop
desktop-file-install  --dir=%{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/%{name}.desktop 

# manpage:
install -d -m755 %{buildroot}%{_mandir}/man1/
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

# spellchecker support:
#install -d -m755 %{buildroot}%{_libdir}/kompozer
install -d -m755 %{buildroot}%{_datadir}/myspell/
rm -rf %{buildroot}%{_libdir}/kompozer/dictionaries/
cd %{buildroot}%{_libdir}/kompozer
#ln -s ../../share/myspell dictionaries
ln -s %{_datadir}/myspell %{buildroot}%{_libdir}/kompozer/dictionaries

# cleaning non used devel and debug files
rm %{buildroot}%{_bindir}/kompozer-config
rm -rf %{buildroot}%{_libdir}/pkgconfig/
rm -rf %{buildroot}%{_libdir}/debug/

%files
%doc mozilla/LEGAL mozilla/LICENSE mozilla/README.txt
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_datadir}/myspell
%{_datadir}/applications/kompozer.desktop


%changelog
* Mon Feb 25 2013 pinoc <vogtpet at gmail.com> 0.8.0b3.2pclos2013
- import and amended mga build and patches for combined 32/64

* Wed Apr 28 2010 Texstar <texstar at gmail.com> 0.8.0b3.1pclos2010
- 0.8b3

* Sat May 23 2009 Texstar <texstar@gmail.com> 0.8.0a4.1pclos2009
- 0.8a4

* Sun Apr 26 2009 Neal <nealbrks0@gmail.com> 0.7.10-4pclos2009
- added overflow patch

* Tue Apr 14 2009 Neal <nealbrks0@gmail.com> 0.7.10-3pclos2009
- import mdv build and patches
